/*
 * This file is part of the TYPO3 CMS project.
 *
 * It is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License, either version 2
 * of the License, or any later version.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 * The TYPO3 project - inspiring people to share!
 */
var __importDefault=this&&this.__importDefault||function(e){return e&&e.__esModule?e:{default:e}};define(["require","exports","jquery","TYPO3/CMS/Backend/Storage/Persistent","TYPO3/CMS/Core/SecurityUtility","jquery-ui/resizable"],(function(e,t,i,s,r){"use strict";var a;i=__importDefault(i),function(e){e.resizableContainerIdentifier=".t3js-viewpage-resizeable",e.sizeIdentifier=".t3js-viewpage-size",e.moduleBodySelector=".t3js-module-body",e.customSelector=".t3js-preset-custom",e.customWidthSelector=".t3js-preset-custom-width",e.customHeightSelector=".t3js-preset-custom-height",e.changeOrientationSelector=".t3js-change-orientation",e.changePresetSelector=".t3js-change-preset",e.inputWidthSelector=".t3js-viewpage-input-width",e.inputHeightSelector=".t3js-viewpage-input-height",e.currentLabelSelector=".t3js-viewpage-current-label",e.topbarContainerSelector=".t3js-viewpage-topbar",e.refreshSelector=".t3js-viewpage-refresh"}(a||(a={}));class l{static getCurrentWidth(){return(0,i.default)(a.inputWidthSelector).val()}static getCurrentHeight(){return(0,i.default)(a.inputHeightSelector).val()}static setLabel(e){(0,i.default)(a.currentLabelSelector).html((new r).encodeHtml(e))}static getCurrentLabel(){return(0,i.default)(a.currentLabelSelector).html().trim()}constructor(){this.defaultLabel="",this.minimalHeight=300,this.minimalWidth=300,this.storagePrefix="moduleData.web_view.States.",this.queue=[],this.queueIsRunning=!1,(0,i.default)(()=>{const e=(0,i.default)(".t3js-preset-custom-label");this.defaultLabel=e.length>0?e.html().trim():"",this.$iframe=(0,i.default)("#tx_this_iframe"),this.$resizableContainer=(0,i.default)(a.resizableContainerIdentifier),this.$sizeSelector=(0,i.default)(a.sizeIdentifier),this.initialize()})}persistQueue(){if(!1===this.queueIsRunning&&this.queue.length>=1){this.queueIsRunning=!0;let e=this.queue.shift();s.set(e.storageIdentifier,e.data).done(()=>{this.queueIsRunning=!1,this.persistQueue()})}}addToQueue(e,t){const i={storageIdentifier:e,data:t};this.queue.push(i),this.queue.length>=1&&this.persistQueue()}setSize(e,t){isNaN(t)&&(t=this.calculateContainerMaxHeight()),t<this.minimalHeight&&(t=this.minimalHeight),isNaN(e)&&(e=this.calculateContainerMaxWidth()),e<this.minimalWidth&&(e=this.minimalWidth),(0,i.default)(a.inputWidthSelector).val(e),(0,i.default)(a.inputHeightSelector).val(t),this.$resizableContainer.css({width:e,height:t,left:0})}persistCurrentPreset(){let e={width:l.getCurrentWidth(),height:l.getCurrentHeight(),label:l.getCurrentLabel()};this.addToQueue(this.storagePrefix+"current",e)}persistCustomPreset(){let e={width:l.getCurrentWidth(),height:l.getCurrentHeight()};(0,i.default)(a.customSelector).data("width",e.width),(0,i.default)(a.customSelector).data("height",e.height),(0,i.default)(a.customWidthSelector).html(e.width),(0,i.default)(a.customHeightSelector).html(e.height),this.addToQueue(this.storagePrefix+"current",e),this.addToQueue(this.storagePrefix+"custom",e)}persistCustomPresetAfterChange(){clearTimeout(this.queueDelayTimer),this.queueDelayTimer=window.setTimeout(()=>{this.persistCustomPreset()},1e3)}initialize(){(0,i.default)(document).on("click",a.changeOrientationSelector,()=>{const e=(0,i.default)(a.inputHeightSelector).val(),t=(0,i.default)(a.inputWidthSelector).val();this.setSize(e,t),this.persistCurrentPreset()}),(0,i.default)(document).on("change",a.inputWidthSelector,()=>{const e=(0,i.default)(a.inputWidthSelector).val(),t=(0,i.default)(a.inputHeightSelector).val();this.setSize(e,t),l.setLabel(this.defaultLabel),this.persistCustomPresetAfterChange()}),(0,i.default)(document).on("change",a.inputHeightSelector,()=>{const e=(0,i.default)(a.inputWidthSelector).val(),t=(0,i.default)(a.inputHeightSelector).val();this.setSize(e,t),l.setLabel(this.defaultLabel),this.persistCustomPresetAfterChange()}),(0,i.default)(document).on("click",a.changePresetSelector,e=>{const t=(0,i.default)(e.currentTarget).data();this.setSize(parseInt(t.width,10),parseInt(t.height,10)),l.setLabel(t.label),this.persistCurrentPreset()}),(0,i.default)(document).on("click",a.refreshSelector,()=>{document.getElementById("tx_viewpage_iframe").contentWindow.location.reload()}),this.$resizableContainer.resizable({handles:"w, sw, s, se, e"}),this.$resizableContainer.on("resizestart",e=>{(0,i.default)(e.currentTarget).append('<div id="viewpage-iframe-cover" style="z-index:99;position:absolute;width:100%;top:0;left:0;height:100%;"></div>')}),this.$resizableContainer.on("resize",(e,t)=>{t.size.width=t.originalSize.width+2*(t.size.width-t.originalSize.width),t.size.height<this.minimalHeight&&(t.size.height=this.minimalHeight),t.size.width<this.minimalWidth&&(t.size.width=this.minimalWidth),(0,i.default)(a.inputWidthSelector).val(t.size.width),(0,i.default)(a.inputHeightSelector).val(t.size.height),this.$resizableContainer.css({left:0}),l.setLabel(this.defaultLabel)}),this.$resizableContainer.on("resizestop",()=>{(0,i.default)("#viewpage-iframe-cover").remove(),this.persistCurrentPreset(),this.persistCustomPreset()})}calculateContainerMaxHeight(){this.$resizableContainer.hide();let e=(0,i.default)(a.moduleBodySelector),t=e.outerHeight()-e.height(),s=(0,i.default)(document).height(),r=(0,i.default)(a.topbarContainerSelector).outerHeight();return this.$resizableContainer.show(),s-t-r-8}calculateContainerMaxWidth(){this.$resizableContainer.hide();let e=(0,i.default)(a.moduleBodySelector),t=e.outerWidth()-e.width(),s=(0,i.default)(document).width();return this.$resizableContainer.show(),parseInt(s-t+"",10)}}return new l}));